Enjazy Server API

REST API over the shared Enjazy core — lists, tasks, sub-tasks, tags, projects, comments and the activity log — plus the offline-first sync channel and outbound webhooks. The `/api/*` surface can be locked with an API key (set `ENJAZY_API_KEYS`); `/api/sync/*` stays public unless `ENJAZY_API_KEYS_SYNC=true`, and `/health` and `/docs/json` are always public.

Base URLhttps://the.enjazy.appThe reference is in English.

lists9 operations

GET/api/listsList every list

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "title": {
        "type": "string"
      },
      "color": {
        "type": "string",
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "parentId": {
        "type": "string",
        "nullable": true,
        "enum": [
          null
        ]
      },
      "dueDate": {
        "type": "string",
        "nullable": true
      },
      "isDefault": {
        "type": "boolean"
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "title",
      "color",
      "order",
      "parentId",
      "dueDate",
      "isDefault",
      "isSample",
      "extra",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/lists

Request body

{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "parentId": {
      "type": "string",
      "nullable": true,
      "enum": [
        null
      ]
    }
  },
  "required": [
    "title"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "title": {
      "type": "string"
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "parentId": {
      "type": "string",
      "nullable": true,
      "enum": [
        null
      ]
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "isDefault": {
      "type": "boolean"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "title",
    "color",
    "order",
    "parentId",
    "dueDate",
    "isDefault",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/lists/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "title": {
      "type": "string"
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "parentId": {
      "type": "string",
      "nullable": true,
      "enum": [
        null
      ]
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "isDefault": {
      "type": "boolean"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "title",
    "color",
    "order",
    "parentId",
    "dueDate",
    "isDefault",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PATCH/api/lists/{id}

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    }
  },
  "required": [],
  "additionalProperties": true
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "title": {
      "type": "string"
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "parentId": {
      "type": "string",
      "nullable": true,
      "enum": [
        null
      ]
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "isDefault": {
      "type": "boolean"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "title",
    "color",
    "order",
    "parentId",
    "dueDate",
    "isDefault",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/lists/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/lists/{id}/tasks

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "listId": {
        "type": "string",
        "minLength": 1
      },
      "parentId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "title": {
        "type": "string"
      },
      "notes": {
        "type": "string",
        "nullable": true
      },
      "status": {
        "type": "string",
        "minLength": 1
      },
      "importance": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "urgency": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "effort": {
        "type": "integer",
        "minimum": 0
      },
      "startDate": {
        "type": "string",
        "nullable": true
      },
      "dueDate": {
        "type": "string",
        "nullable": true
      },
      "dueTime": {
        "type": "string",
        "nullable": true
      },
      "dueLegacy": {
        "type": "boolean"
      },
      "reminderOffsetMin": {
        "type": "integer",
        "nullable": true
      },
      "recurrence": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "completedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "autoComplete": {
        "type": "boolean"
      },
      "estimateSeconds": {
        "type": "integer",
        "minimum": 0,
        "nullable": true
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "minLength": 1
            },
            "name": {
              "type": "string"
            },
            "color": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "id",
            "name",
            "color"
          ],
          "additionalProperties": false
        }
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "listId",
      "parentId",
      "title",
      "notes",
      "status",
      "importance",
      "urgency",
      "effort",
      "startDate",
      "dueDate",
      "dueTime",
      "dueLegacy",
      "reminderOffsetMin",
      "recurrence",
      "order",
      "completedAt",
      "autoComplete",
      "estimateSeconds",
      "isSample",
      "extra",
      "tags",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/lists/{id}/reorder

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "orderedTaskIds": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    }
  },
  "required": [
    "orderedTaskIds"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/lists/{id}/projects

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "string"
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PUT/api/lists/{id}/projects

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "projectIds": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    }
  },
  "required": [
    "projectIds"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

tasks16 operations

GET/api/tasks

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "listId": {
        "type": "string",
        "minLength": 1
      },
      "parentId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "title": {
        "type": "string"
      },
      "notes": {
        "type": "string",
        "nullable": true
      },
      "status": {
        "type": "string",
        "minLength": 1
      },
      "importance": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "urgency": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "effort": {
        "type": "integer",
        "minimum": 0
      },
      "startDate": {
        "type": "string",
        "nullable": true
      },
      "dueDate": {
        "type": "string",
        "nullable": true
      },
      "dueTime": {
        "type": "string",
        "nullable": true
      },
      "dueLegacy": {
        "type": "boolean"
      },
      "reminderOffsetMin": {
        "type": "integer",
        "nullable": true
      },
      "recurrence": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "completedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "autoComplete": {
        "type": "boolean"
      },
      "estimateSeconds": {
        "type": "integer",
        "minimum": 0,
        "nullable": true
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "minLength": 1
            },
            "name": {
              "type": "string"
            },
            "color": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "id",
            "name",
            "color"
          ],
          "additionalProperties": false
        }
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "listId",
      "parentId",
      "title",
      "notes",
      "status",
      "importance",
      "urgency",
      "effort",
      "startDate",
      "dueDate",
      "dueTime",
      "dueLegacy",
      "reminderOffsetMin",
      "recurrence",
      "order",
      "completedAt",
      "autoComplete",
      "estimateSeconds",
      "isSample",
      "extra",
      "tags",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tasks

Request body

{
  "type": "object",
  "properties": {
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "title": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "notes": {
      "type": "string",
      "maxLength": 20000,
      "nullable": true
    },
    "status": {
      "type": "string",
      "enum": [
        "todo",
        "in_progress",
        "done"
      ]
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "pattern": "^([01]\\d|2[0-3]):[0-5]\\d$",
      "nullable": true
    },
    "reminderOffsetMin": {
      "anyOf": [
        {
          "type": "number",
          "enum": [
            0
          ]
        },
        {
          "type": "number",
          "enum": [
            5
          ]
        },
        {
          "type": "number",
          "enum": [
            15
          ]
        },
        {
          "type": "number",
          "enum": [
            30
          ]
        },
        {
          "type": "number",
          "enum": [
            60
          ]
        },
        {
          "type": "number",
          "enum": [
            1440
          ]
        }
      ],
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "properties": {
        "freq": {
          "type": "string",
          "enum": [
            "daily",
            "weekly",
            "monthly",
            "yearly"
          ]
        },
        "interval": {
          "type": "integer"
        },
        "byWeekday": {
          "type": "array",
          "items": {
            "type": "integer",
            "minimum": 0,
            "maximum": 6
          }
        },
        "bySetPos": {
          "anyOf": [
            {
              "type": "number",
              "enum": [
                -1
              ]
            },
            {
              "type": "number",
              "enum": [
                1
              ]
            },
            {
              "type": "number",
              "enum": [
                2
              ]
            },
            {
              "type": "number",
              "enum": [
                3
              ]
            },
            {
              "type": "number",
              "enum": [
                4
              ]
            }
          ]
        },
        "count": {
          "type": "integer",
          "minimum": 1
        },
        "until": {
          "type": "string",
          "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"
        },
        "anchor": {
          "type": "string",
          "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"
        }
      },
      "required": [
        "freq",
        "interval"
      ],
      "additionalProperties": true,
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "id": {
      "not": {}
    },
    "createdAt": {
      "not": {}
    },
    "updatedAt": {
      "not": {}
    },
    "deletedAt": {
      "not": {}
    },
    "extra": {
      "not": {}
    }
  },
  "required": [
    "listId",
    "title"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "title": {
      "type": "string"
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "minLength": 1
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "nullable": true
    },
    "dueLegacy": {
      "type": "boolean"
    },
    "reminderOffsetMin": {
      "type": "integer",
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string"
          },
          "color": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "name",
          "color"
        ],
        "additionalProperties": false
      }
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "listId",
    "parentId",
    "title",
    "notes",
    "status",
    "importance",
    "urgency",
    "effort",
    "startDate",
    "dueDate",
    "dueTime",
    "dueLegacy",
    "reminderOffsetMin",
    "recurrence",
    "order",
    "completedAt",
    "autoComplete",
    "estimateSeconds",
    "isSample",
    "extra",
    "tags",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/tasks/{id}/subtasks

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "listId": {
        "type": "string",
        "minLength": 1
      },
      "parentId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "title": {
        "type": "string"
      },
      "notes": {
        "type": "string",
        "nullable": true
      },
      "status": {
        "type": "string",
        "minLength": 1
      },
      "importance": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "urgency": {
        "type": "string",
        "enum": [
          "none",
          "low",
          "medium",
          "high"
        ]
      },
      "effort": {
        "type": "integer",
        "minimum": 0
      },
      "startDate": {
        "type": "string",
        "nullable": true
      },
      "dueDate": {
        "type": "string",
        "nullable": true
      },
      "dueTime": {
        "type": "string",
        "nullable": true
      },
      "dueLegacy": {
        "type": "boolean"
      },
      "reminderOffsetMin": {
        "type": "integer",
        "nullable": true
      },
      "recurrence": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "completedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "autoComplete": {
        "type": "boolean"
      },
      "estimateSeconds": {
        "type": "integer",
        "minimum": 0,
        "nullable": true
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "tags": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "minLength": 1
            },
            "name": {
              "type": "string"
            },
            "color": {
              "type": "string",
              "nullable": true
            }
          },
          "required": [
            "id",
            "name",
            "color"
          ],
          "additionalProperties": false
        }
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "listId",
      "parentId",
      "title",
      "notes",
      "status",
      "importance",
      "urgency",
      "effort",
      "startDate",
      "dueDate",
      "dueTime",
      "dueLegacy",
      "reminderOffsetMin",
      "recurrence",
      "order",
      "completedAt",
      "autoComplete",
      "estimateSeconds",
      "isSample",
      "extra",
      "tags",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/tasks/{id}/lists

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "title": {
        "type": "string"
      },
      "color": {
        "type": "string",
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "parentId": {
        "type": "string",
        "nullable": true,
        "enum": [
          null
        ]
      },
      "dueDate": {
        "type": "string",
        "nullable": true
      },
      "isDefault": {
        "type": "boolean"
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "title",
      "color",
      "order",
      "parentId",
      "dueDate",
      "isDefault",
      "isSample",
      "extra",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PUT/api/tasks/{id}/lists

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "listIds": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    }
  },
  "required": [
    "listIds"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/tasks/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "title": {
      "type": "string"
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "minLength": 1
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "nullable": true
    },
    "dueLegacy": {
      "type": "boolean"
    },
    "reminderOffsetMin": {
      "type": "integer",
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string"
          },
          "color": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "name",
          "color"
        ],
        "additionalProperties": false
      }
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "listId",
    "parentId",
    "title",
    "notes",
    "status",
    "importance",
    "urgency",
    "effort",
    "startDate",
    "dueDate",
    "dueTime",
    "dueLegacy",
    "reminderOffsetMin",
    "recurrence",
    "order",
    "completedAt",
    "autoComplete",
    "estimateSeconds",
    "isSample",
    "extra",
    "tags",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PATCH/api/tasks/{id}

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "title": {
      "type": "string",
      "minLength": 1
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "enum": [
        "todo",
        "in_progress",
        "done"
      ]
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "pattern": "^([01]\\d|2[0-3]):[0-5]\\d$",
      "nullable": true
    },
    "reminderOffsetMin": {
      "anyOf": [
        {
          "type": "number",
          "enum": [
            0
          ]
        },
        {
          "type": "number",
          "enum": [
            5
          ]
        },
        {
          "type": "number",
          "enum": [
            15
          ]
        },
        {
          "type": "number",
          "enum": [
            30
          ]
        },
        {
          "type": "number",
          "enum": [
            60
          ]
        },
        {
          "type": "number",
          "enum": [
            1440
          ]
        }
      ],
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "properties": {
        "freq": {
          "type": "string",
          "enum": [
            "daily",
            "weekly",
            "monthly",
            "yearly"
          ]
        },
        "interval": {
          "type": "integer"
        },
        "byWeekday": {
          "type": "array",
          "items": {
            "type": "integer",
            "minimum": 0,
            "maximum": 6
          }
        },
        "bySetPos": {
          "anyOf": [
            {
              "type": "number",
              "enum": [
                -1
              ]
            },
            {
              "type": "number",
              "enum": [
                1
              ]
            },
            {
              "type": "number",
              "enum": [
                2
              ]
            },
            {
              "type": "number",
              "enum": [
                3
              ]
            },
            {
              "type": "number",
              "enum": [
                4
              ]
            }
          ]
        },
        "count": {
          "type": "integer",
          "minimum": 1
        },
        "until": {
          "type": "string",
          "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"
        },
        "anchor": {
          "type": "string",
          "pattern": "^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"
        }
      },
      "required": [
        "freq",
        "interval"
      ],
      "additionalProperties": true,
      "nullable": true
    },
    "completedAt": {
      "type": "string",
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "listId": {
      "description": "Arbitrary JSON value"
    },
    "parentId": {
      "description": "Arbitrary JSON value"
    },
    "tags": {
      "description": "Arbitrary JSON value"
    },
    "id": {
      "not": {}
    },
    "createdAt": {
      "not": {}
    },
    "updatedAt": {
      "not": {}
    },
    "deletedAt": {
      "not": {}
    },
    "extra": {
      "not": {}
    }
  },
  "required": [],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "title": {
      "type": "string"
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "minLength": 1
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "nullable": true
    },
    "dueLegacy": {
      "type": "boolean"
    },
    "reminderOffsetMin": {
      "type": "integer",
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string"
          },
          "color": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "name",
          "color"
        ],
        "additionalProperties": false
      }
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "listId",
    "parentId",
    "title",
    "notes",
    "status",
    "importance",
    "urgency",
    "effort",
    "startDate",
    "dueDate",
    "dueTime",
    "dueLegacy",
    "reminderOffsetMin",
    "recurrence",
    "order",
    "completedAt",
    "autoComplete",
    "estimateSeconds",
    "isSample",
    "extra",
    "tags",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/tasks/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tasks/{id}/status

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "todo",
        "in_progress",
        "done"
      ]
    }
  },
  "required": [
    "status"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "title": {
      "type": "string"
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "minLength": 1
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "nullable": true
    },
    "dueLegacy": {
      "type": "boolean"
    },
    "reminderOffsetMin": {
      "type": "integer",
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string"
          },
          "color": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "name",
          "color"
        ],
        "additionalProperties": false
      }
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "listId",
    "parentId",
    "title",
    "notes",
    "status",
    "importance",
    "urgency",
    "effort",
    "startDate",
    "dueDate",
    "dueTime",
    "dueLegacy",
    "reminderOffsetMin",
    "recurrence",
    "order",
    "completedAt",
    "autoComplete",
    "estimateSeconds",
    "isSample",
    "extra",
    "tags",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tasks/{id}/auto-complete

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "value": {
      "type": "boolean"
    }
  },
  "required": [
    "value"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "listId": {
      "type": "string",
      "minLength": 1
    },
    "parentId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "title": {
      "type": "string"
    },
    "notes": {
      "type": "string",
      "nullable": true
    },
    "status": {
      "type": "string",
      "minLength": 1
    },
    "importance": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "urgency": {
      "type": "string",
      "enum": [
        "none",
        "low",
        "medium",
        "high"
      ]
    },
    "effort": {
      "type": "integer",
      "minimum": 0
    },
    "startDate": {
      "type": "string",
      "nullable": true
    },
    "dueDate": {
      "type": "string",
      "nullable": true
    },
    "dueTime": {
      "type": "string",
      "nullable": true
    },
    "dueLegacy": {
      "type": "boolean"
    },
    "reminderOffsetMin": {
      "type": "integer",
      "nullable": true
    },
    "recurrence": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "completedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "autoComplete": {
      "type": "boolean"
    },
    "estimateSeconds": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "minLength": 1
          },
          "name": {
            "type": "string"
          },
          "color": {
            "type": "string",
            "nullable": true
          }
        },
        "required": [
          "id",
          "name",
          "color"
        ],
        "additionalProperties": false
      }
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "listId",
    "parentId",
    "title",
    "notes",
    "status",
    "importance",
    "urgency",
    "effort",
    "startDate",
    "dueDate",
    "dueTime",
    "dueLegacy",
    "reminderOffsetMin",
    "recurrence",
    "order",
    "completedAt",
    "autoComplete",
    "estimateSeconds",
    "isSample",
    "extra",
    "tags",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tasks/{id}/tags

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "tagId": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "tagId"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PUT/api/tasks/{id}/tags

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "tagIds": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    }
  },
  "required": [
    "tagIds"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/tasks/{id}/tags/{tagId}

Parameters

idpath · string · required
tagIdpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/tasks/{id}/comments

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "taskId": {
        "type": "string",
        "minLength": 1
      },
      "body": {
        "type": "string",
        "minLength": 1
      },
      "authorId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "authorName": {
        "type": "string",
        "nullable": true
      },
      "editedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "taskId",
      "body",
      "authorId",
      "authorName",
      "editedAt",
      "extra",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tasks/{id}/comments

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 10000
    }
  },
  "required": [
    "body"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "taskId": {
      "type": "string",
      "minLength": 1
    },
    "body": {
      "type": "string",
      "minLength": 1
    },
    "authorId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "authorName": {
      "type": "string",
      "nullable": true
    },
    "editedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "taskId",
    "body",
    "authorId",
    "authorName",
    "editedAt",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/tasks/{id}/activity

Parameters

limitquery · integer
offsetquery · integer
idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "at": {
        "type": "string",
        "minLength": 1
      },
      "entityType": {
        "type": "string",
        "minLength": 1
      },
      "entityId": {
        "type": "string",
        "minLength": 1
      },
      "taskId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "kind": {
        "type": "string",
        "minLength": 1
      },
      "payload": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        }
      },
      "actorId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "actorName": {
        "type": "string",
        "nullable": true
      },
      "actorGender": {
        "type": "string",
        "enum": [
          "masculine",
          "feminine",
          "unspecified"
        ],
        "nullable": true
      }
    },
    "required": [
      "id",
      "at",
      "entityType",
      "entityId",
      "taskId",
      "kind",
      "payload",
      "actorId",
      "actorName",
      "actorGender"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

tags3 operations

GET/api/tags

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "name": {
        "type": "string"
      },
      "color": {
        "type": "string",
        "nullable": true
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "name",
      "color",
      "isSample",
      "extra",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/tags

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string"
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "name",
    "color",
    "isSample",
    "extra",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/tags/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

projects8 operations

GET/api/projects

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "name": {
        "type": "string",
        "minLength": 1
      },
      "color": {
        "type": "string",
        "nullable": true
      },
      "order": {
        "type": "integer"
      },
      "isSample": {
        "type": "boolean"
      },
      "extra": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        },
        "nullable": true
      },
      "createdAt": {
        "type": "string",
        "minLength": 1
      },
      "updatedAt": {
        "type": "string",
        "minLength": 1
      },
      "deletedAt": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      }
    },
    "required": [
      "id",
      "name",
      "color",
      "order",
      "isSample",
      "extra",
      "createdAt",
      "updatedAt",
      "deletedAt"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/projects

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "name",
    "color",
    "order",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/projects/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "name",
    "color",
    "order",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
PATCH/api/projects/{id}

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    }
  },
  "required": [],
  "additionalProperties": true
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "color": {
      "type": "string",
      "nullable": true
    },
    "order": {
      "type": "integer"
    },
    "isSample": {
      "type": "boolean"
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "name",
    "color",
    "order",
    "isSample",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/projects/{id}

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "keep": {
      "type": "string",
      "enum": [
        "keep",
        "all"
      ]
    }
  },
  "required": [],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/projects/{id}/lists

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "string"
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/projects/{id}/lists

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "listId": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "listId"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/projects/{id}/lists/{listId}

Parameters

idpath · string · required
listIdpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

comments2 operations

PATCH/api/comments/{id}

Parameters

idpath · string · required

Request body

{
  "type": "object",
  "properties": {
    "body": {
      "type": "string",
      "minLength": 1,
      "maxLength": 10000
    }
  },
  "required": [
    "body"
  ],
  "additionalProperties": false
}

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "taskId": {
      "type": "string",
      "minLength": 1
    },
    "body": {
      "type": "string",
      "minLength": 1
    },
    "authorId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "authorName": {
      "type": "string",
      "nullable": true
    },
    "editedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "extra": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      },
      "nullable": true
    },
    "createdAt": {
      "type": "string",
      "minLength": 1
    },
    "updatedAt": {
      "type": "string",
      "minLength": 1
    },
    "deletedAt": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    }
  },
  "required": [
    "id",
    "taskId",
    "body",
    "authorId",
    "authorName",
    "editedAt",
    "extra",
    "createdAt",
    "updatedAt",
    "deletedAt"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
DELETE/api/comments/{id}

Parameters

idpath · string · required

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "ok": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "ok"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

activity2 operations

GET/api/activity

Parameters

kindsquery · string
sincequery · string
untilquery · string
limitquery · integer
offsetquery · integer

Responses

200Default Response
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "id": {
        "type": "string",
        "minLength": 1
      },
      "at": {
        "type": "string",
        "minLength": 1
      },
      "entityType": {
        "type": "string",
        "minLength": 1
      },
      "entityId": {
        "type": "string",
        "minLength": 1
      },
      "taskId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "kind": {
        "type": "string",
        "minLength": 1
      },
      "payload": {
        "type": "object",
        "additionalProperties": {
          "description": "Arbitrary JSON value"
        }
      },
      "actorId": {
        "type": "string",
        "minLength": 1,
        "nullable": true
      },
      "actorName": {
        "type": "string",
        "nullable": true
      },
      "actorGender": {
        "type": "string",
        "enum": [
          "masculine",
          "feminine",
          "unspecified"
        ],
        "nullable": true
      }
    },
    "required": [
      "id",
      "at",
      "entityType",
      "entityId",
      "taskId",
      "kind",
      "payload",
      "actorId",
      "actorName",
      "actorGender"
    ],
    "additionalProperties": true
  }
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
POST/api/activity

Request body

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "at": {
      "type": "string",
      "minLength": 1
    },
    "entityType": {
      "type": "string",
      "enum": [
        "task",
        "list",
        "project",
        "comment"
      ]
    },
    "entityId": {
      "type": "string",
      "minLength": 1
    },
    "taskId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "kind": {
      "type": "string",
      "enum": [
        "taskCreated",
        "taskDeleted",
        "statusChanged",
        "edited",
        "moved",
        "recurrenceRolled",
        "timerStarted",
        "timerStopped",
        "commentAdded",
        "commentEdited",
        "commentDeleted",
        "tagAdded",
        "tagRemoved",
        "listMembershipChanged",
        "projectMembershipChanged",
        "done",
        "dependencyLinked",
        "dependencyUnlinked",
        "timeAdjusted",
        "timerPaused",
        "timerResumed",
        "idleTimeKept",
        "idleTimeDiscarded"
      ]
    },
    "payload": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      }
    }
  },
  "required": [
    "entityType",
    "entityId",
    "kind",
    "payload"
  ],
  "additionalProperties": false
}

Responses

201Default Response
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "at": {
      "type": "string",
      "minLength": 1
    },
    "entityType": {
      "type": "string",
      "minLength": 1
    },
    "entityId": {
      "type": "string",
      "minLength": 1
    },
    "taskId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "kind": {
      "type": "string",
      "minLength": 1
    },
    "payload": {
      "type": "object",
      "additionalProperties": {
        "description": "Arbitrary JSON value"
      }
    },
    "actorId": {
      "type": "string",
      "minLength": 1,
      "nullable": true
    },
    "actorName": {
      "type": "string",
      "nullable": true
    },
    "actorGender": {
      "type": "string",
      "enum": [
        "masculine",
        "feminine",
        "unspecified"
      ],
      "nullable": true
    }
  },
  "required": [
    "id",
    "at",
    "entityType",
    "entityId",
    "taskId",
    "kind",
    "payload",
    "actorId",
    "actorName",
    "actorGender"
  ],
  "additionalProperties": true
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

sync5 operations

POST/api/sync/push

Parameters

protoquery · integer

Request body

{
  "anyOf": [
    {
      "type": "object",
      "properties": {
        "changes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entity": {
                "type": "string",
                "minLength": 1
              },
              "id": {
                "type": "string",
                "minLength": 1
              },
              "op": {
                "type": "string",
                "enum": [
                  "put",
                  "delete"
                ]
              },
              "data": {
                "type": "object",
                "additionalProperties": {
                  "description": "Arbitrary JSON value"
                },
                "nullable": true
              },
              "updatedAt": {
                "type": "string"
              },
              "origin": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "entity",
              "id",
              "op",
              "data",
              "updatedAt",
              "origin"
            ],
            "additionalProperties": false
          },
          "minItems": 1,
          "maxItems": 5000
        }
      },
      "required": [
        "changes"
      ],
      "additionalProperties": false
    },
    {
      "type": "object",
      "properties": {
        "changes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entity": {
                "type": "string",
                "minLength": 1
              },
              "id": {
                "type": "string",
                "minLength": 1
              },
              "op": {
                "type": "string",
                "enum": [
                  "put",
                  "delete"
                ]
              },
              "data": {
                "type": "object",
                "additionalProperties": {
                  "description": "Arbitrary JSON value"
                },
                "nullable": true
              },
              "updatedAt": {
                "type": "string"
              },
              "origin": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "entity",
              "id",
              "op",
              "data",
              "updatedAt",
              "origin"
            ],
            "additionalProperties": false
          },
          "maxItems": 5000
        }
      },
      "required": [
        "changes"
      ],
      "additionalProperties": false
    }
  ]
}

Responses

200Default Response
{
  "anyOf": [
    {
      "type": "object",
      "properties": {
        "seq": {
          "type": "integer",
          "minimum": 0
        },
        "accepted": {
          "type": "integer",
          "minimum": 0
        },
        "ignored": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "seq",
        "accepted",
        "ignored"
      ],
      "additionalProperties": false
    },
    {
      "type": "object",
      "properties": {
        "seq": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "seq"
      ],
      "additionalProperties": false
    }
  ]
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/sync/pull

Parameters

sincequery · integer
limitquery · integer
protoquery · integer

Responses

200Default Response
{
  "anyOf": [
    {
      "type": "object",
      "properties": {
        "changes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entity": {
                "type": "string",
                "minLength": 1
              },
              "id": {
                "type": "string",
                "minLength": 1
              },
              "op": {
                "type": "string",
                "enum": [
                  "put",
                  "delete"
                ]
              },
              "data": {
                "type": "object",
                "additionalProperties": {
                  "description": "Arbitrary JSON value"
                },
                "nullable": true
              },
              "updatedAt": {
                "type": "string"
              },
              "origin": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "entity",
              "id",
              "op",
              "data",
              "updatedAt",
              "origin"
            ],
            "additionalProperties": false
          }
        },
        "seq": {
          "type": "integer",
          "minimum": 0
        },
        "hasMore": {
          "type": "boolean"
        }
      },
      "required": [
        "changes",
        "seq",
        "hasMore"
      ],
      "additionalProperties": false
    },
    {
      "type": "object",
      "properties": {
        "changes": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entity": {
                "type": "string",
                "minLength": 1
              },
              "id": {
                "type": "string",
                "minLength": 1
              },
              "op": {
                "type": "string",
                "enum": [
                  "put",
                  "delete"
                ]
              },
              "data": {
                "type": "object",
                "additionalProperties": {
                  "description": "Arbitrary JSON value"
                },
                "nullable": true
              },
              "updatedAt": {
                "type": "string"
              },
              "origin": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "entity",
              "id",
              "op",
              "data",
              "updatedAt",
              "origin"
            ],
            "additionalProperties": false
          }
        },
        "seq": {
          "type": "integer",
          "minimum": 0
        }
      },
      "required": [
        "changes",
        "seq"
      ],
      "additionalProperties": false
    }
  ]
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/sync/count

Parameters

sincequery · integer

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "changes": {
      "type": "integer",
      "minimum": 0
    },
    "tasks": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "changes",
    "tasks"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/sync/snapshot

Parameters

protoquery · integer

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "changes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "entity": {
            "type": "string",
            "minLength": 1
          },
          "id": {
            "type": "string",
            "minLength": 1
          },
          "op": {
            "type": "string",
            "enum": [
              "put",
              "delete"
            ]
          },
          "data": {
            "type": "object",
            "additionalProperties": {
              "description": "Arbitrary JSON value"
            },
            "nullable": true
          },
          "updatedAt": {
            "type": "string"
          },
          "origin": {
            "type": "string",
            "minLength": 1
          }
        },
        "required": [
          "entity",
          "id",
          "op",
          "data",
          "updatedAt",
          "origin"
        ],
        "additionalProperties": false
      }
    },
    "seq": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "changes",
    "seq"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}
GET/api/sync/deletions

Parameters

sincequery · integer
limitquery · integer

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "records": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "entity": {
            "type": "string",
            "minLength": 1
          },
          "id": {
            "type": "string",
            "minLength": 1
          },
          "deletedAt": {
            "type": "string",
            "minLength": 1
          },
          "seq": {
            "type": "integer",
            "minimum": 0
          }
        },
        "required": [
          "entity",
          "id",
          "deletedAt",
          "seq"
        ],
        "additionalProperties": false
      }
    },
    "next": {
      "type": "integer",
      "minimum": 0,
      "nullable": true
    }
  },
  "required": [
    "records",
    "next"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

health1 operation

GET/health

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "ok"
      ]
    },
    "service": {
      "type": "string",
      "enum": [
        "enjazy-server"
      ]
    },
    "auth": {
      "type": "string",
      "enum": [
        "public",
        "api-key",
        "accounts"
      ]
    },
    "version": {
      "type": "string",
      "minLength": 1
    },
    "schema": {
      "type": "integer"
    },
    "schemaVersion": {
      "type": "integer"
    },
    "sync": {
      "type": "object",
      "properties": {
        "proto": {
          "type": "number",
          "enum": [
            2
          ]
        },
        "entities": {
          "type": "array",
          "items": {
            "type": "string",
            "minLength": 1
          }
        },
        "tombstones": {
          "type": "boolean",
          "enum": [
            true
          ]
        },
        "deletions": {
          "type": "boolean",
          "enum": [
            true
          ]
        },
        "count": {
          "type": "boolean",
          "enum": [
            true
          ]
        },
        "paginated": {
          "type": "boolean",
          "enum": [
            true
          ]
        },
        "pageLimitMax": {
          "type": "integer",
          "minimum": 0,
          "exclusiveMinimum": true
        }
      },
      "required": [
        "proto",
        "entities",
        "tombstones",
        "deletions",
        "count",
        "paginated",
        "pageLimitMax"
      ],
      "additionalProperties": false
    },
    "ai": {
      "type": "object",
      "properties": {
        "available": {
          "type": "boolean"
        }
      },
      "required": [
        "available"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "status",
    "service",
    "auth",
    "version",
    "schema",
    "schemaVersion",
    "sync"
  ],
  "additionalProperties": false
}
defaultDefault Response
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "request_id": {
      "type": "string"
    },
    "error_description": {
      "type": "string"
    },
    "detail": {
      "description": "Error-specific detail, including Zod fieldErrors for invalid bodies"
    },
    "retry_after": {
      "type": "integer"
    }
  },
  "required": [
    "error",
    "request_id"
  ],
  "additionalProperties": false
}

auth29 operations

GET/api/auth/config

Responses

200Default Response
{
  "type": "object",
  "properties": {
    "signupsEnabled": {
      "type": "boolean"
    },
    "mailConfigured": {
      "type": "boolean"
    },
    "supportEmail": {
      "type": "string",
      "nullable": true
    },
    "planGates": {
      "type": "string",
      "enum": [
        "off",
        "legacy",
        "all"
      ]
    },
    "webAppOrigin": {
      "type": "string"
    },
    "siteLinks": {
      "type": "object",
      "properties": {
        "privacy": {
          "type": "string"
        },
        "terms": {
          "type": "string"
        },
        "help": {
          "type": "string"
        },
        "status": {
          "type": "string"
        }
      },
      "required": [],
      "additionalProperties": false
    },
    "version": {
      "type": "string",
      "minLength": 1
    },
    "schema": {
      "type": "integer"
    },
    "passkeys": {
      "type": "boolean"
    },
    "limits": {
      "type": "object",
      "properties": {
        "passwordMin": {
          "type": "integer"
        },
        "passwordMax": {
          "type": "integer"
        },
        "mfaDigits": {
          "type": "integer"
        },
        "totpPeriodSec": {
          "type": "integer"
        },
        "totpWindowSteps": {
          "type": "integer"
        },
        "mfaWindowMin": {
          "type": "integer"
        },
        "recoveryCodeCount": {
          "type": "integer"
        },
        "loginFailMax": {
          "type": "integer"
        },
        "ipFailMax": {
          "type": "integer"
        },
        "lockoutWindowMin": {
          "type": "integer"
        },
        "lockoutMin": {
          "type": "integer"
        },
        "resetLinkMin": {
          "type": "integer"
        },
        "verifyLinkHours": {
          "type": "integer"
        },
        "verifyCodeDigits": {
          "type": "integer"
        },
        "verifyCodeTtlMin": {
          "type": "integer"
        },
        "verifyCodeMaxAttempts": {
          "type": "integer"
        },
        "inviteDays": {
          "type": "integer"
        },
        "inviteCodeLen": {
          "type": "integer"
        },
        "resendCooldownSec": {
          "type": "integer"
        },
        "pinMin": {
          "type": "integer"
        },
        "pinMax": {
          "type": "integer"
        }
      },
      "required": [
        "passwordMin",
        "passwordMax",
        "mfaDigits",
        "totpPeriodSec",
        "totpWindowSteps",
        "mfaWindowMin",
        "recoveryCodeCount",
        "loginFailMax",
        "ipFailMax",
        "lockoutWindowMin",
        "lockoutMin",
        "resetLinkMin",
        "verifyLinkHours",
        "verifyCodeDigits",
        "verifyCodeTtlMin",
        "verifyCodeMaxAttempts",
[...]
